OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.EXT.CompiledVertexArray

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_compiled_vertex_array extension, see http://www.opengl.org/registry/specs/EXT/compiled_vertex_array.txt.

Synopsis

- glLockArrays :: GLint -> GLsizei -> IO ()
- glUnlockArrays :: IO ()
- gl_ARRAY_ELEMENT_LOCK_FIRST :: GLenum
- gl_ARRAY_ELEMENT_LOCK_COUNT :: GLenum

# Functions

glLockArrays :: GLint -> GLsizei -> IO ()

glUnlockArrays :: IO ()

# Tokens

gl_ARRAY_ELEMENT_LOCK_FIRST :: GLenum

gl_ARRAY_ELEMENT_LOCK_COUNT :: GLenum